MuleXmlBuilderContextListener (Mule ESB 2.2.1 API)
Keywords: org.mule.config.builders.MuleXmlBuilderContextListener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.builders
Class MuleXmlBuilderContextListener

    java.lang.Object
      org.mule.config.builders.MuleXmlBuilderContextListener

All Implemented Interfaces:
  EventListener, ServletContextListener

    public class MuleXmlBuilderContextListener

extends Object
implements ServletContextListener

`MuleXmlBuilderContextListener` is a bootstrap listener used to construct a MuleManager instance. This listener delegates to the MuleXmlConfigurationBuilder.

The location of the configuration file can be specified in a init parameter called org.mule.config, the value can be a path on the local file system or on the classpath. If a config parameter is not specified a default mule-config.xml will be used.

See Also:
  `SpringXmlConfigurationBuilder`

Field Summary
`static String` | `INIT_PARAMETER_MULE_CONFIG` One or more Mule config files.
`protected Log` | `logger`

Constructor Summary
`MuleXmlBuilderContextListener()`

Method Summary
`void` | `contextDestroyed(ServletContextEvent event)`
`void` | `contextInitialized(ServletContextEvent event)`
`protected MuleContext` | `createMuleContext(String configResource, ServletContext context)` Creates the MuleContext based on the configuration resource(s) and possibly init parameters for the Servlet.
`void` | `destroy()`
`protected String` | `getDefaultConfigResource()` If no config location resource is configured on the servlet context, the value returned from this method will be used to initialise the MuleManager.
`void` | `initialize(ServletContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INIT_PARAMETER_MULE_CONFIG

    public static final String INIT_PARAMETER_MULE_CONFIG

  One or more Mule config files.

  See Also:
    Constant Field Values

### logger

    protected final transient Log logger

Constructor Detail

### MuleXmlBuilderContextListener

    public MuleXmlBuilderContextListener()

Method Detail

### contextInitialized

    public void contextInitialized(ServletContextEvent event)

  Specified by:
    `contextInitialized` in interface `ServletContextListener`

### initialize

    public void initialize(ServletContext context)

### createMuleContext

    protected MuleContext createMuleContext(String configResource,
                                            ServletContext context)
                                     throws ConfigurationException,
                                            InitialisationException

  Creates the MuleContext based on the configuration resource(s) and possibly init parameters for the Servlet.

  Throws:
    `ConfigurationException`
    `InitialisationException`

### getDefaultConfigResource

    protected String getDefaultConfigResource()

  If no config location resource is configured on the servlet context, the value returned from this method will be used to initialise the MuleManager.

  Returns:
    the default config resource location

### contextDestroyed

    public void contextDestroyed(ServletContextEvent event)

  Specified by:
    `contextDestroyed` in interface `ServletContextListener`

### destroy

    public void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.